"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const transliteration_1 = require("transliteration");
class Transliterator {
    transliterate(inputText) {
        if (inputText === undefined) {
            throw 'Malformed input';
        }
        let output = transliteration_1.transliterate(inputText);
        let response = {
            input: inputText,
            output: output,
            variableTest: process.env.PROGRESS
        };
        return response;
    }
}
exports.Transliterator = Transliterator;
//# sourceMappingURL=transliterate.js.map